FIND THE ANSWERS

I'm trying to use my minecraft and when I try to update it to 1.7 it goes wrong?

Answer this question

  • I'm trying to use my minecraft and when I try to update it to 1.7 it goes wrong?


Answers